org.apache.ignite.internal

## Annotation Type GridCodegenConverter

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface GridCodegenConverter

Annotates fields that required custom reading / writing.

### Optional Element Summary

Optional Elements
`String` `get` Converter code.
`String` `set` Converter code.
`Class<?>` `type`

### Element Detail

#### get

    public abstract String get

Converter code. Replace original field value by converted.

Returns:
  Code to get field value.

Default:
  ""

#### set

    public abstract String set

Converter code. A raw read value is available at $val$ placeholder

Returns:
  Code to set field value.

Default:
  ""

#### type

    public abstract Class<?> type

Returns:
  Result type. Use this type to read / write the converted value.

Default:
  org.apache.ignite.internal.GridCodegenConverter.Default.class

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018